import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Probe from '@overflow/probe/api/model/Probe';
import History from '../../api/model/History';

import * as ReadAllByProbeActionTypes from '../action/read_all_by_probe';
import ReadAllByProbeState, { defaultState as ReadAllByProbeDefaultState } from '../state/ReadAllByProbe';

const reducer: ReducersMapObject = {
  [ReadAllByProbeActionTypes.REQUEST_SUCCESS]:
  (state: ReadAllByProbeState = ReadAllByProbeDefaultState, action: Action<object>):
    ReadAllByProbeState => {
    return {
      ...state,
      historyPage: action.payload,
    };
  },
  [ReadAllByProbeActionTypes.REQUEST_FAILURE]:
  (state: ReadAllByProbeState = ReadAllByProbeDefaultState, action: Action<Error>):
    ReadAllByProbeState => {
    return state;
  },
};

export default reducer;
